---
layout: book
section: documentation
category: manual
title: Files & directories
permalink: /docs/manual/files-directories
---
By default TileMill manages project files, data and other configuration in a `MapBox` directory on your hard drive. TileMill will create this directory and its contents automatically when you first start the program.

- **Mac OS X:** The `MapBox` directory should be in your user account's `Documents` directory.

- **Ubuntu:** The `MapBox` directory is located at `/usr/share/mapbox`. You may want to symlink this to your user's home directory for easier access.

## Directory overview

The layout of the `MapBox` directory is as follows:

    MapBox/
      cache/
      data/
      export/
      project/
      app.db

The **cache** directory contains a local copy of any remote datasources you add to your projects. For example, if you add the [http://mapbox-geodata.s3.amazonaws.com/natural-earth-1.3.0/physical/10m-rivers-north-america.zip](http://mapbox-geodata.s3.amazonaws.com/natural-earth-1.3.0/physical/10m-rivers-north-america.zip) shapefile to one of your projects, it will be saved to the cache directory and symlinked into your project's layers directory:

    MapBox/cache/5316a7a8-10m-rivers-north-america

The **data** directory is where you should place any data files you would like to use on your maps. When adding or editing a layer you will be able to use this directory in the file browser.

The **export** directory contains any export files generated by TileMill.

The **project** directory contains projects accessible by TileMill.
